CVE-2016-3071

Libreswan 3.16 might allow remote attackers to cause a denial of service (daemon restart) via an IKEv2 aes_xcbc transform.
Configurations

Configuration 1 (hide)

cpe:2.3:a:libreswan:libreswan:3.16:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:o:fedoraproject:fedora:23:*:*:*:*:*:*:*
cpe:2.3:o:fedoraproject:fedora:24:*:*:*:*:*:*:*

History

No history.

Information

Published : 2016-04-18 14:59

Updated : 2017-02-07 02:59


NVD link : CVE-2016-3071

Mitre link : CVE-2016-3071


JSON object : View

Products Affected

fedoraproject

  • fedora

libreswan

  • libreswan
CWE
CWE-310

Cryptographic Issues

CWE-20

Improper Input Validation